<template>
  <div>
    <v-row class="mt-5 mb-10">
      <v-col cols="12" class="text-center">
        <div
          :class="
            $vuetify.breakpoint.mdAndDown
              ? 'text-center global-box-view'
              : 'global-box-view'
          "
        >
          <h2>
            {{ $t('monitoringSolution.tech.title') }}
          </h2>
          <p>
            {{ $t('monitoringSolution.tech.description') }}
          </p>
        </div>
      </v-col>
      <v-row class="fill-height" align="center" justify="center">
        <v-col
          v-for="item in tech"
          :key="item.title"
          v-scrollAnime
          cols="4"
          sm="2"
          md="2"
          lg="1"
          class="d-flex justify-center text-center mx-auto"
        >
          <TechCards :color="item.color" :title="item.title" :name="item.tooltip" />
        </v-col>
      </v-row>
    </v-row>
  </div>
</template>
<script>
export default {
  name: 'Montech',
  data() {
    return {
      tech: [
        {
          title: 'si_influxdb',
          color: '#E95420',
          tooltip: 'Telegraf/InfluxDB',
        },
        {
          title: 'si_grafana',
          color: '#E95420',
          tooltip: 'Grafana',
        },
        {
          title: 'si_prometheus',
          color: '#E95420',
          tooltip: 'Prometheus',
        },
        {
          title: 'si_fluentd',
          color: '#E95420',
          tooltip: 'Fluent Bit',
        },
        {
          title: 'si_elasticstack',
          color: '#E95420',
          tooltip: 'Elasticstack',
        },
        {
          title: 'si_kibana',
          color: '#E95420',
          tooltip: 'Kibana',
        },
        {
          title: 'si_elasticsearch',
          color: '#E95420',
          tooltip: 'Elasticsearch',
        },
        {
          title: 'si_logstash',
          color: '#E95420',
          tooltip: 'Logstash',
        },

        {
          title: 'si_beats',
          color: '#E95420',
          tooltip: 'Beats',
        },
      ],
    };
  },
};
</script>
